.ai-content-voice-box-cards {
    display: flex;
    gap: 32px;
    width: 66%;
}

.voice-ai-item {
    width: 100%;
    background: var(--color-light);
    height: 370px;
    display: flex;
    flex-direction: column;
    gap: 24px;
    justify-content: center;
    align-items: center;
    border-radius: var(--br-30);
    transition: 0.3s ease-in-out;
}

.voice-ai-item:hover {
    background: var(--color-scondary);
}

.voice-ai-item img {
    width: 150px;
}

.voice-ai-item h3 {
    font-size: 24px;
    transition: 0.3s ease-in-out;
}

.voice-ai-item button {
    padding: 10px 36px 8px;
    font-size: 18px;
    font-weight: 700;
    border: none;
    outline: none;
    border-radius: 100px;
    background: var(--color-scondary);
    color: var(--color-border);
    font-weight: 700;
    font-family: 'yekanbakh';
    cursor: pointer;
    transition: 0.3s ease-in-out;
}

.voice-ai-item:hover button {
    background: var(--color-primary);
    color: #fff;
}

.voice-ai-item:hover h3 {
    color: var(--color-primary);
}

.voice-ai-generator {
    display: flex;
    gap: 32px;
}

.input-column {
    display: flex;
    gap: 20px;
    position: relative;
    margin-bottom: 20px;
    flex-direction: column;
}

.input-column:nth-child(1) {
    z-index: 30;
}

.input-column:nth-child(2) {
    z-index: 20;
}

.input-column:nth-child(3) {
    z-index: 10;
}

.generate-voice-content {
    width: 70%;
    height: 340px;
    background: var(--color-light);
    border-radius: var(--br-30);
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    gap: 24px;
}

.voice-ai-export {
    width: 90%;
    height: 60px;
    background-color: #ffcd00;
    border-radius: 50px;
    padding: 0 20px;
    box-sizing: border-box;
    display: flex;
    align-items: center;
    direction: ltr;
}

.controls-container {
    display: flex;
    align-items: center;
    width: 100%;
    justify-content: space-between;
    direction: ltr;
}

.btn-icon {
    background: none;
    border: none;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 0;
    margin-right: 10px;
}

.btn-icon img {
    width: 30px;
    height: 36px;
}

.slider-container {
    flex-grow: 1;
    margin: 0 15px;
    display: flex;
    align-items: center;
}

#seek-slider {
    -webkit-appearance: none;
    width: 100%;
    height: 6px;
    border-radius: 5px;
    background: rgba(255, 255, 255, 0.5);
    outline: none;
    cursor: pointer;
    background-image: linear-gradient(#2e2352, #2e2352);
    background-size: 0% 100%;
    background-repeat: no-repeat;
    direction: ltr;
}

#seek-slider::-webkit-slider-thumb {
    -webkit-appearance: none;
    height: 16px;
    width: 16px;
    border-radius: 50%;
    background: #2e2352;
    cursor: pointer;
    border: none;
}

#seek-slider::-moz-range-thumb {
    height: 16px;
    width: 16px;
    border-radius: 50%;
    background: #2e2352;
    cursor: pointer;
    border: none;
}

.format-switch {
    display: flex;
    gap: 8px;
    margin-left: 10px;
}

.fmt-btn {
    border: none;
    padding: 2px 16px 0px;
    border-radius: 10px;
    font-weight: 500;
    font-size: 14px;
    cursor: pointer;
    background: fff;
    color: #2e2352;
    font-family: 'yekanbakh';
    text-align: center;
    display: flex;
    justify-content: center;
    align-items: center;
}

.mp3 {
    background: var(--color-light) !important;
    border: 2px solid var(--color-light);
    transition: 0.3s ease-in-out;
    color: #fff !important;
}

.mp3:hover {
    background: var(--color-scondary) !important;
    color: var(--color-light) !important;
}

.wav {
    background: #fff !important;
    border: 2px solid #fff;
    color: var(--color-primary) !important;
    transition: 0.3s ease-in-out;
}

.wav:hover {
    background: var(--color-scondary) !important;
    border: 2px solid var(--color-light);
    color: var(--color-light) !important;
}

.fmt-btn.active {
    background-color: #5b46b3;
    color: white;
}

#mute-btn img {
    width: 22px !important;
    height: 22px !important;
}

.voice-generate-alert {
    width: 70%;
}

.voice-generate-alert .generate-voice-content {
    width: 100% !important;
    height: auto;
    padding: 24px;
}

.generate-voice-content p {
    font-size: 15px;
    font-weight: 400;
    line-height: 32px;
}

.generate-voice-alert {
    background: var(--color-light);
    border-radius: var(--br-30);
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 20px;
    margin-top: 32px;
}

.generate-voice-button-text {
    background: var(--color-scondary);
    border: 2px solid var(--color-scondary);
    padding: 10px 20px;
    border-radius: var(--br-16);
    width: 180px;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: 0.3s ease-in-out;
}

.generate-voice-button-text:hover {
    background: #5832B8;
    border: 2px solid #5832B8;
    color: #fff;
}

.generate-voice-button-edit {
    background: #5832B8;
    color: var(--color-scondary);
    padding: 10px 20px;
    border-radius: var(--br-16);
    width: 180px;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: 0.3s ease-in-out;
    gap: 8px;
}

.generate-voice-button-edit:hover {
    background: var(--color-primary);
    color: #fff;
}

.generate-voice-buttons {
    display: flex;
    gap: 10px;
}

@media only screen and (max-width: 992px) {
    .voice-ai-item {
        gap: 24px;
    }

    .voice-ai-item img {
        width: 140px;
    }

    .voice-ai-item h3 {
        font-size: 20px;
    }

    .voice-ai-item button {
        font-size: 16px;
    }

    .voice-ai-generator {
        display: flex;
        gap: 32px;
        flex-direction: column;
    }


    .voice-ai-export {
        width: 90%;
        height: 50px;
    }

    .generate-voice-content {
        width: 100%;
        height: auto;
        padding: 30px 0;
    }

    .voice-generate-alert {
        width: 100%;
    }
}

@media only screen and (max-width: 768px) {
    .ai-content-voice-box-cards {
        flex-direction: column;
    }

    .ai-content-voice-box-cards {
        display: flex;
        gap: 32px;
        width: 100%;
    }

    .generate-voice-content {
        height: auto;
    }
}

@media only screen and (max-width: 480px) {
    .generate-voice-content img {
        width: 20%;
    }

    .generate-voice-content h3 {
        font-size: 16px;
        text-align: center;
        width: 70%;
        line-height: 32px;
    }

    .generate-voice-content span {
        font-size: 15px;
        text-align: center;
        line-height: 32px;
        width: 70%;
    }

    .voice-ai-export img {
        width: 30px;
        height: 30px;
    }

    .generate-voice-buttons {
        display: flex;
        gap: 10px;
        flex-direction: column;
    }

}

@media only screen and (max-width: 380px) {
    .format-switch {
        display: flex;
        flex-direction: column;
    }

    .voice-ai-export {
        width: 90%;
        height: 90px;
        border-radius: 30px;
    }
}